clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.12, Seite 172');
U=230;
INenn=40.5;
nN=1500/60;
P1=U*INenn;
P2=8000;
Ra=0.4; % Ankerwiderstand
Pvf=170;
IaN=INenn-Pvf/U;
Pva=Ra*IaN^2;
PvB=2*IaN;
Pi=P1-Pvf-Pva-PvB;
Uq=Pi/IaN;
MiN=Pi/(2*pi*nN);
disp(' ');
disp(['IaN = ',sprintf(' %3.4f ',IaN),'A']);
disp(['MiN = ',sprintf(' %3.4f ',MiN),'N m']);
k=MiN/IaN^2;
disp(' ');
disp(['k = ',sprintf(' %1.4f ',k),'H']);
UB=2;
Ia=20;
Rf=0.2;
n=(U-UB-(Ra+Rf)*Ia)/(2*pi*k*Ia);
disp(' ');
disp(['n = ',sprintf(' %2.4f ',n),'1/s']);
Mi=k*Ia^2;
disp(['Mi = ',sprintf(' %3.4f ',Mi),'N m']);