clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.2, Seite 149');
SN=10.0e3; % Nennleistung kVA
U1=230; % Primrspannung
I0=1.6; % Primrstrom Leerlaufversuch
U20=10500; % Sekundrspannung Leerlauf
P0=72.5; % Wirkleistung primrseitig
cosphi0=P0/(U1*I0);
sinphi0=sqrt(1-cosphi0^2);
IFe=I0*cosphi0;
Imy=I0*sinphi0;
RFe=U1/IFe;
Xh = U1/Imy;
disp(' ');
disp(['RFe = ',sprintf(' %3.2f ',RFe),'Ohm']);
disp(['Xh  = ',sprintf(' %3.2f ',Xh),'Ohm']);
ueb=U1/U20;
disp(' ');
disp([' = ',sprintf(' %1.5e ',ueb)]);
